Index: APIOwner.pm
===================================================================
RCS file: /cvs/root/headerdoc/Modules/HeaderDoc/APIOwner.pm,v
retrieving revision 1.59
diff -u -r1.59 APIOwner.pm
--- APIOwner.pm	2009/10/02 06:05:21	1.59
+++ APIOwner.pm	2009/10/08 18:45:53
@@ -777,6 +777,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$class_baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$class_baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$class_baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -818,6 +820,8 @@
 	    }
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading($tempurl, $head, "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+	       	$tocString .= "<h4><a href=\"$tempurl\" target=\"_top\">$head</a></h4>\n";
 	    } else {
 	       	$tocString .= "<h4><a href=\"$tempurl\" target=\"doc\">$head</a></h4>\n";
 	    }
@@ -908,6 +912,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -931,6 +937,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -969,6 +977,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -1007,6 +1017,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -1045,6 +1057,8 @@
 		        } elsif ($self->outputformat eq "html") {
 			    if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			    } elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			    } else {
 	        		$tocString .= "<nobr>$entrypreface<a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			    }
@@ -1121,6 +1135,8 @@
     if ($newTOC) {
 	# $tocString .= "<h4><br><nobr><a href=\"$baseref#top\" target=\"doc\">".$HeaderDoc::introductionName."</a></nobr></h4>\n";
 	$tocString .= $self->tocEntry("$baseref#top", $HeaderDoc::introductionName);
+    } elsif ($HeaderDoc::use_iframes) {
+	$tocString .= "<h4><br><nobr><a href=\"$baseref#top\" target=\"_top\">".$HeaderDoc::introductionName."</a></nobr></h4>\n";
     } else {
 	$tocString .= "<h4><br><nobr><a href=\"$baseref#top\" target=\"doc\">".$HeaderDoc::introductionName."</a></nobr></h4>\n";
     }
@@ -1175,6 +1191,8 @@
 	    }
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading("$baseref#HeaderDoc_methods", "Methods", "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_methods\" target=\"_top\">Methods</a></h4>\n";
 	    } else {
 		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_methods\" target=\"doc\">Methods</a></h4>\n";
 	    }
@@ -1254,6 +1272,8 @@
 
 			if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			} elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=\"-1\">+</font><a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			} else {
 	        		$tocString .= "<nobr>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=\"-1\">+</font><a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			}
@@ -1294,6 +1314,8 @@
 			}
 			if ($newTOC) {
 				$tocString .= tocSubEntry("$baseref#$urlname", "doc", $name);
+			} elsif ($HeaderDoc::use_iframes) {
+	        		$tocString .= "<nobr>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=\"-1\">-</font><a href=\"$baseref#$urlname\" target=\"_top\">$name</a></nobr><br>\n";
 			} else {
 	        		$tocString .= "<nobr>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=\"-1\">-</font><a href=\"$baseref#$urlname\" target=\"doc\">$name</a></nobr><br>\n";
 			}
@@ -1373,6 +1395,8 @@
 	    @classes = @realclasses;
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading("$baseref#HeaderDoc_classes", "Classes", "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_classes\" target=\"_top\">Classes</a></h4>\n";
 	    } else {
 		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_classes\" target=\"doc\">Classes</a></h4>\n";
 	    }
@@ -1384,6 +1408,8 @@
 	    @classes = @comints;
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading("$baseref#HeaderDoc_cominterfaces", "C Pseudoclasses", "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_comints\" target=\"_top\">C Pseudoclasses</a></h4>\n";
 	    } else {
 		# $tocString .= "<h4>C Pseudoclasses</h4>\n";
 		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_comints\" target=\"doc\">C Pseudoclasses</a></h4>\n";
@@ -1402,6 +1428,8 @@
     if (@protocols) {
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading("$baseref#HeaderDoc_protocols", "Protocols", "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_protocols\" target=\"_top\">Protocols</a></h4>\n";
 	    } else {
 		# $tocString .= "<h4>Protocols</h4>\n";
 		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_protocols\" target=\"doc\">Protocols</a></h4>\n";
@@ -1413,6 +1441,8 @@
     if (@categories) {
 	    if ($newTOC) {
 		$tocString .= $self->tocHeading("$baseref#HeaderDoc_categories", "Categories", "doc");
+	    } elsif ($HeaderDoc::use_iframes) {
+		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_categories\" target=\"_top\">Categories</a></h4>\n";
 	    } else {
 		# $tocString .= "<h4>Categories</h4>\n";
 		$tocString .= "<h4><a href=\"$baseref#HeaderDoc_categories\" target=\"doc\">Categories</a></h4>\n";
